Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 84584 - vsftpd-1.1.3-7 man page errata
Summary: vsftpd-1.1.3-7 man page errata
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: vsftpd
Version: 1.0
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-02-19 06:30 UTC by R P Herrold
Modified: 2014-03-17 02:34 UTC (History)
2 users (show)

Fixed In Version: 1.2.0-3
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-08-08 04:39:00 UTC


Attachments (Terms of Use)

Description R P Herrold 2003-02-19 06:30:53 UTC
man page vs packaging discrepancies

location of vsftpd.conf is different than the documentation

[root@ftp init.d]# grep vs  vsftpd  | grep conf
# config: /etc/vsftpd/vsftpd.conf
                sites=(`ls /etc/vsftpd/*.conf`)
[root@ftp init.d]#

 ------------ yet -----------

man vsftpd offers:

OPTIONS
     An optional [configuration file] may be given on the command line.  The
     default configuration file is /etc/vsftpd.conf.
----------------------------

man vsftpd.conf states:

      behaviour. By default, vsftpd looks  for  this  file  at  the  location
       /etc/vsftpd.conf.   However, you may override this by specifying a comâ

---------------------------

[root@ftp etc]# pwd
/etc
[root@ftp etc]# ls -al vsftpd*
-rw-------    1 root     root          125 Feb 19 00:48 vsftpd.ftpusers
-rw-------    1 root     root          361 Feb 19 00:48 vsftpd.user_list

vsftpd:
total 13
drwxr-xr-x    2 root     root         1024 Feb 19 01:05 .
drwxr-xr-x   45 root     root         4096 Feb 19 00:48 ..
-rw-------    1 root     root         3847 Feb 19 01:05 vsftpd.conf
-rw-------    1 root     root         3837 Feb 19 01:05 vsftpd.conf~

==================================================

so the man doco is wrong, as to Red Hat's packaging of the product.

Comment 1 Bill Nottingham 2003-08-08 04:39:00 UTC
Fixed in 1.2.0-3 and later.


Note You need to log in before you can comment on or make changes to this bug.